classification
Title: Fix formatting of True and False
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, serhiy.storchaka, terry.reedy, veky
Priority: normal Keywords: patch

Created on 2019-11-07 19:42 by serhiy.storchaka, last changed 2019-11-13 15:26 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 17083 merged serhiy.storchaka, 2019-11-07 19:43
PR 17125 merged serhiy.storchaka, 2019-11-12 15:08
PR 17128 merged serhiy.storchaka, 2019-11-12 17:00
Messages (7)
msg356210 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-11-07 19:42
The proposed PR fixes some issues with True and False in the documentation:

* "Return true/false" is replaced with "Return ``True``/``False``" if the function actually returns a bool.

* Fixed formatting of some True and False literals (now in monospace).

* Replaced "True/False" with "true/false" if it can be not only bool.

* Replaced some 1/0 with True/False if it corresponds the code.
msg356254 - (view) Author: Vedran Čačić (veky) * Date: 2019-11-08 18:55
Very nice. I aplaud your return to the original Python terminology, of true and false as adjectives, and True and False as names for specific objects. Perlisms such as `truthy` or `that evaluates as True` simply make my head spin.

I wrote one comment, regarding the case where you have the default value mentioned. Otherwise, I think it is a very nice change.
msg356466 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-11-12 14:57
New changeset 138ccbb02216ca086047c3139857fb44f3dab1f9 by Serhiy Storchaka in branch 'master':
bpo-38738: Fix formatting of True and False. (GH-17083)
https://github.com/python/cpython/commit/138ccbb02216ca086047c3139857fb44f3dab1f9
msg356473 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-11-12 16:54
New changeset d360346640e19231032b072216195484fa2450b4 by Serhiy Storchaka in branch '3.8':
[3.8] bpo-38738: Fix formatting of True and False. (GH-17083) (GH-17125)
https://github.com/python/cpython/commit/d360346640e19231032b072216195484fa2450b4
msg356477 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-11-12 18:07
New changeset 42b619ac9aa7f889dcd8eeb14d813f17468454d9 by Serhiy Storchaka in branch '3.7':
[3.7] bpo-38738: Fix formatting of True and False. (GH-17083) (GH-17128)
https://github.com/python/cpython/commit/42b619ac9aa7f889dcd8eeb14d813f17468454d9
msg356507 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-11-12 23:43
Serhiy, thank you for carrying this through, including the backports.

Ready to close?
msg356535 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-11-13 15:26
Thanks Vinay, Kyle and Terry for your review!
History
Date User Action Args
2019-11-13 15:26:19serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg356535

stage: patch review -> resolved
2019-11-12 23:43:40terry.reedysetnosy: + terry.reedy
messages: + msg356507
2019-11-12 18:07:30serhiy.storchakasetmessages: + msg356477
2019-11-12 17:00:15serhiy.storchakasetpull_requests: + pull_request16637
2019-11-12 16:54:30serhiy.storchakasetmessages: + msg356473
2019-11-12 15:08:00serhiy.storchakasetpull_requests: + pull_request16633
2019-11-12 14:57:10serhiy.storchakasetmessages: + msg356466
2019-11-08 18:55:19vekysetnosy: + veky
messages: + msg356254
2019-11-07 19:43:03serhiy.storchakasetkeywords: + patch
stage: patch review
pull_requests: + pull_request16593
2019-11-07 19:42:20serhiy.storchakacreate